com.trendmicro.ds.antimalware.rest.api

## Interface IEventAPI

-     public interface IEventAPI

  Interface for event retrieval

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AntiMalwareEvent` | `getAntiMalwareEvent(java.lang.Long eventId, java.lang.String sID)` Get AntiMalware with specific event id.
    `AntiMalwareEventListing` | `getAntiMalwareEvents(java.lang.Long eventId, java.lang.String eventIdOp, java.lang.Integer maxItems, java.lang.String sID)` Get AntiMalware events
    `javax.ws.rs.core.Response` | `getAntiMalwareEventsInMCP(java.lang.Long eventId, java.lang.String eventIdOp, java.lang.Integer maxItems, java.lang.Integer header, java.lang.String sID)` Get AntiMalware events
    `WebReputationEvent` | `getWebReputationEvent(java.lang.Long eventId, java.lang.String sID)` Get Web Reputation event with specific event id.
    `WebReputationEventListing` | `getWebReputationEvents(java.lang.Long eventId, java.lang.String eventIdOp, java.lang.Integer maxItems, java.lang.String sID)` Get Web Reputation events
    `javax.ws.rs.core.Response` | `getWebReputationEventsInMCP(java.lang.Long eventId, java.lang.String eventIdOp, java.lang.Integer maxItems, java.lang.Integer header, java.lang.String sID)` Get Web Reputation events

- - ### Method Detail

    - #### getWebReputationEvent

          WebReputationEvent getWebReputationEvent(java.lang.Long eventId,
                                                   java.lang.String sID)
                                            throws java.lang.Exception

      Get Web Reputation event with specific event id.
      Parameters:
        `eventId` - the event id to fetch
        `sID` - session ID
      Returns:
        the event with the specific id
      Throws:
        `java.lang.Exception`

    - #### getWebReputationEvents

          WebReputationEventListing getWebReputationEvents(java.lang.Long eventId,
                                                           java.lang.String eventIdOp,
                                                           java.lang.Integer maxItems,
                                                           java.lang.String sID)
                                                    throws java.lang.Exception

      Get Web Reputation events
      Parameters:
        `eventId` - the event id to query for events. Combined with eventIdOp, the returning events can be filtered according to the id.
        `eventIdOp` - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to).
        `maxItems` - the maximum events to return
        `sID` - session ID.
      Returns:
        a WebReputationEventListing, a collection of the events meet the given criteria.
      Throws:
        `java.lang.Exception`

    - #### getWebReputationEventsInMCP

          javax.ws.rs.core.Response getWebReputationEventsInMCP(java.lang.Long eventId,
                                                                java.lang.String eventIdOp,
                                                                java.lang.Integer maxItems,
                                                                java.lang.Integer header,
                                                                java.lang.String sID)
                                                         throws java.lang.Exception

      Get Web Reputation events
      Parameters:
        `eventId` - the event id to query for events. Combined with eventIdOp, the returning events can be filtered according to the id.
        `eventIdOp` - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to).
        `maxItems` - the maximum events to return
        `sID` - session ID.
      Returns:
        a binary stream in which events meeting the given criteria is encoded into MCP format.
      Throws:
        `java.lang.Exception`

    - #### getAntiMalwareEvent

          AntiMalwareEvent getAntiMalwareEvent(java.lang.Long eventId,
                                               java.lang.String sID)
                                        throws java.lang.Exception

      Get AntiMalware with specific event id.
      Parameters:
        `eventId` - the event id to fetch
        `sID` - session ID
      Returns:
        the event with the specific id
      Throws:
        `java.lang.Exception`

    - #### getAntiMalwareEvents

          AntiMalwareEventListing getAntiMalwareEvents(java.lang.Long eventId,
                                                       java.lang.String eventIdOp,
                                                       java.lang.Integer maxItems,
                                                       java.lang.String sID)
                                                throws java.lang.Exception

      Get AntiMalware events
      Parameters:
        `eventId` - the event id to query for events. Combined with eventIdOp, the returning events can be filtered according to the id.
        `eventIdOp` - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to).
        `maxItems` - the maximum events to return
        `sID` - session ID.
      Returns:
        a AntiMalwareEventListing, a collection of the events meet the given criteria.
      Throws:
        `java.lang.Exception`

    - #### getAntiMalwareEventsInMCP

          javax.ws.rs.core.Response getAntiMalwareEventsInMCP(java.lang.Long eventId,
                                                              java.lang.String eventIdOp,
                                                              java.lang.Integer maxItems,
                                                              java.lang.Integer header,
                                                              java.lang.String sID)
                                                       throws java.lang.Exception

      Get AntiMalware events
      Parameters:
        `eventId` - the event id to query for events. Combined with eventIdOp, the returning events can be filtered according to the id.
        `eventIdOp` - defined the events to return. Currently supported operations include gt(greater than), ge(greater than or equal to), eq(eqaul to), lt(less than), and le(less than or equal to).
        `maxItems` - the maximum events to return
        `sID` - session ID.
      Returns:
        a binary stream in which events meeting the given criteria is encoded into MCP format.
      Throws:
        `java.lang.Exception`

Copyright © 2015 Trend Micro Inc. All Rights Reserved.